Package bitel.billing.server.script.global.bean

# Class GlobalScriptLogManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.script.global.bean.GlobalScriptLogManager

@Deprecated public class GlobalScriptLogManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Deprecated.
Более не использовать, использавать invalid input: '<'`GlobalScriptLogDao`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptLogManager()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<GlobalScriptLog>`
  `getScriptLogList(Date start, Date end, Page page)`
  Deprecated.
  Возвращает постраничный список логов скриптов договора за определенный период
  `String`
  `writeLog(String functionName, String out, String err, String ex, Calendar startTime)`
  Deprecated.
  Записывает лог выполнения глобального скрипта.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GlobalScriptLogManager

    public GlobalScriptLogManager()
    Deprecated.

- ## Method Details

  - ### getScriptLogList

    public List<GlobalScriptLog> getScriptLogList(Date start, Date end, Page page)
    Deprecated.
    Возвращает постраничный список логов скриптов договора за определенный период
    Parameters:
      `start` - начало периода
      `end` - конец периода
      `page` - страница
    Returns:
      список

  - ### writeLog

    public String writeLog(String functionName, String out, String err, String ex, Calendar startTime) throws SQLException
    Deprecated.
    Записывает лог выполнения глобального скрипта.
    Parameters:
      `functionName` - имя скрипта
      `report` - лог
      `completeTime` - время завершения выполнения
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`